/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
//package org.jboss.test.aop.bean;

import org.jboss.aspects.observer.Observing;
import org.jboss.test.aop.bean.Temperature;
import org.jboss.test.aop.bean.LogUtil;

/**
 * A simple test of the Observable aspect
 *
 * @author <a href="mailto:adrian@jboss.org">Adrian Brock</a>
 * @version $Revision: 1.1 $
 */
public class Driver
{
   public static void main(String[] args) throws Exception 
   {
      // Create our pojos - nothing new here
      Temperature temperature = new Temperature();
      LogUtil logUtil = new LogUtil();
      
      // But look...
      Observing.addObserver(temperature, logUtil);

      // Now this logs the change      
      temperature.setTemperature(10);
      temperature.setTemperature(20);
   }
}
